summaryrefslogtreecommitdiff
path: root/package/pmacct/files/nfacctd.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/pmacct/files/nfacctd.init')
-rw-r--r--package/pmacct/files/nfacctd.init25
1 files changed, 25 insertions, 0 deletions
diff --git a/package/pmacct/files/nfacctd.init b/package/pmacct/files/nfacctd.init
new file mode 100644
index 000000000..2d0072bf5
--- /dev/null
+++ b/package/pmacct/files/nfacctd.init
@@ -0,0 +1,25 @@
+#!/bin/sh
+#FWINIT 80
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+ autostart)
+ test x"${nfacctd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+ start)
+ nfacctd $nfaccd_flags
+ ;;
+ stop)
+ killall nfacctd
+ ;;
+ restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+ *)
+ echo "usage: $0 {start | stop | restart}"
+ exit 1
+esac
+exit $?